package dev.shadowsoffire.apotheosis.mixin;

package .tmp;

import dev.shadowsoffire.apotheosis.Apotheosis;
import dev.shadowsoffire.apotheosis.ench.Ench;
import dev.shadowsoffire.apotheosis.ench.enchantments.TemptingEnchant;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.ai.goal.TemptGoal;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@Mixin({TemptGoal.class})
public class TemptGoalMixin {
  @Inject(method = {"shouldFollow"}, at = {@At("RETURN")}, cancellable = true)
  public void apoth_tempting(LivingEntity entity, CallbackInfoReturnable<Boolean> ci) {
    if (Apotheosis.enableEnch && !ci.getReturnValueZ() && ((TemptingEnchant)Ench.Enchantments.TEMPTING.get()).shouldFollow(entity))
      ci.setReturnValue(Boolean.valueOf(true)); 
  }
}
